Manage the state of the score rendering. The score can be rendered either completely, or partially for editing. This class works with the RenderDemon to decide when to render the score after it has been modified, and keeps track of what the current render state is (dirty, etc.)

### Hierarchy

- SuiRenderState

## Index

### Constructors

- constructor

### Methods

- replaceMeasures
- setViewport

## Constructors

### constructor

- new SuiRenderState(config: ScoreRenderParams): SuiRenderState

- - Defined in src/render/sui/renderState.ts:51

  #### Parameters

  - ##### config: ScoreRenderParams

  #### Returns SuiRenderState

## Methods

### replaceMeasures

- replaceMeasures(): void

- - Defined in src/render/sui/renderState.ts:160

  Do a quick re-render of a measure that has changed, defer the whole score.

  #### Returns void

### setViewport

- setViewport(): void

- - Defined in src/render/sui/renderState.ts:272

  Set the SVG viewport

  #### Returns void

Generated using TypeDoc